# Uses of Class
com.ngrok.definitions.EndpointOAuthGitHub

Packages that use EndpointOAuthGitHub
Package
Description
com.ngrok.definitions

- ## Uses of EndpointOAuthGitHub in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuthGitHub
  Modifier and Type
  Method
  Description
  `EndpointOAuthGitHub`
  EndpointOAuthGitHub.Builder.`build()`
  Constructs the `EndpointOAuthGitHub` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOAuthGitHub
  Modifier and Type
  Method
  Description
  `Optional<EndpointOAuthGitHub>`
  EndpointOAuthProvider.`getGithub()`
  configuration for using github as the identity provider
  Methods in com.ngrok.definitions with parameters of type EndpointOAuthGitHub
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`github(EndpointOAuthGitHub github)`
  configuration for using github as the identity provider
  Method parameters in com.ngrok.definitions with type arguments of type EndpointOAuthGitHub
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider.Builder`
  EndpointOAuthProvider.Builder.`github(Optional<EndpointOAuthGitHub> github)`
  configuration for using github as the identity provider